package com.jeeplus.finance.projectRecords.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectRecords.domain.EngineeringTree;
import com.jeeplus.finance.projectRecords.domain.ProjectEngineeringInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author 王强
 * @version 1.0
 * @date 2024-03-11 14:18
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EngineeringTreeMapper extends BaseMapper<EngineeringTree> {

    List<ProjectEngineeringInfo> findList(ProjectEngineeringInfo info);
}
