package com.jeeplus.finance.projectRecords.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.finance.projectRecords.domain.CwFillingbatchFile;
import com.jeeplus.finance.projectRecords.domain.CwFillingbatchInfo;
import com.jeeplus.finance.projectRecords.domain.CwFillingbatchProject;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class CwFillingbatchInfoDTO extends BaseEntity {

    //归档编号（字典值）
    public static final String BIZ_CODE = "105";
    //归档批次号
    private String no;

    //归档名称
    private String name;

    //归档说明
    private String remarks;

    //流程信息
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    //审核状态
    private String status;

    //审核通过时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditAgreeTime;


    //报告id
    private String reportId;



    //案卷号
    private String achiveNo;

    //状态
    private String projectStatus;

    //排序
    private Integer projectSort;

    //文件类型

    private String fileType;

    //文件描述
    private String fileRemarks;


    //排序
    private Integer fileSort;

    //层级
    private String level;

    /**
     * 时间查询
     */
    private String[] createDates;

    private List<CwFillingbatchInfo> cwFillingbatchInfos;

    private List<CwFillingbatchProject> cwFillingbatchProjects;

    //查询时使用
    private List<CwFillingbatchProject> children;

    private List<CwFillingbatchFile> cwFillingbatchFiles;

    private String createName;

    //列表查询时项目使用
    private String parentId;


}
